> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a fact collector



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /fact-collectors/{collectorId}
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /fact-collectors/{collectorId}:
    get:
      tags:
        - FactCollectors
      summary: Get a fact collector
      operationId: getFactCollector
      parameters:
        - name: collectorId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Fact collector
          content:
            application/json:
              schema:
                type: object
                required:
                  - factCollector
                properties:
                  factCollector:
                    $ref: '#/components/schemas/FactCollector'
                additionalProperties: false
        '403':
          description: No permission to read fact collector
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Fact collector not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FactCollector:
      type: object
      required:
        - collectorId
        - config
      properties:
        collectorId:
          type: string
        config:
          oneOf:
            - $ref: '#/components/schemas/ConfigurableFactCollectorConfig'
            - $ref: '#/components/schemas/NonConfigurableFactCollectorConfig'
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    ConfigurableFactCollectorConfig:
      type: object
      required:
        - collects
      properties:
        collects:
          type: array
          items:
            $ref: '#/components/schemas/BaseFactExtractor'
      additionalProperties: false
    NonConfigurableFactCollectorConfig:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          enum:
            - Collector not configurable
      additionalProperties: false
    BaseFactExtractor:
      type: object
      additionalProperties: true

````